Update attribute values of recipients filtered by a target group
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/modify
clientIdinteger<int64>Client ID
recipientListIdinteger<int64>Recipient list ID
acceptstringGenerated from available response content types
targetGroupinteger<int64>ID of the matching target group
datastring<p>Recipient data. Configure "data.[attribute]" according to the corresponding recipient list field.Does not work with the "Try it out" feature.</p>
modestring<set | prepend | append><p>Mode for adding parameters to fields of type "String"Available values: set (to overwrite existing), prepend (to place before existing), append (to place after existing)</p>
200The recipient's attributes were updated.
400The target group is not provided or recipient's attribute is not recognized or its value cannot be parsed. Ensure that "target group" is added to the request and that the required parameters are correct.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/modify \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'targetGroup=integer<int64>'